Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2019726 (CVE-2020-25718) - CVE-2020-25718 samba: Samba AD DC did not correctly sandbox Kerberos tickets issues by an RODC
Summary: CVE-2020-25718 samba: Samba AD DC did not correctly sandbox Kerberos tickets ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-25718
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2021718
Blocks: 2022412
TreeView+ depends on / blocked
 
Reported: 2021-11-03 09:00 UTC by Huzaifa S. Sidhpurwala
Modified: 2022-10-24 05:34 UTC (History)
17 users (show)

Fixed In Version: samba 4.15.2, samba 4.14.10, samba 4.13.14
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way samba, as an Active Directory Domain Controller, is able to support an RODC (read-only domain controller). This would allow an RODC to print administrator tickets.
Clone Of:
Environment:
Last Closed: 2021-11-10 03:21:14 UTC
Embargoed:


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2021-11-03 09:00:10 UTC
As per upstream advisory:


Samba as an Active Directory Domain Controller is able to support an RODC, which is meant to have minimal privileges in a domain.

However, in accepting a ticket from a Samba or Windows RODC, Samba was not confirming that the RODC is authorized to print such a ticket, via the msDS-NeverRevealGroup and msDS-RevealOnDemandGroup (typically "Allowed RODC Replication Group" and "Denied RODC Replciation Group").

This would allow an RODC to print administrator tickets.

Comment 1 Huzaifa S. Sidhpurwala 2021-11-10 02:54:09 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 2021718]

Comment 2 Product Security DevOps Team 2021-11-10 03:21:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25718


Note You need to log in before you can comment on or make changes to this bug.